VERSION = 1.77
BINDIR = /usr/bin
DESTDIR = /usr/share/sgml/docbook/dsssl-stylesheets-$(VERSION)
INSTALL = install -p

all: install

install: install-bin install-dtd install-dsl install-img install-misc

install-bin:
	$(INSTALL) -d -m755 $(BINDIR)
	$(INSTALL) -m755 bin/collateindex.pl $(BINDIR)

install-dtd:
	$(INSTALL) -d -m755 $(DESTDIR)/dtds/{decls,dbdsssl,html,imagelib,olink}
	$(INSTALL) -m644 dtds/decls/*.dcl $(DESTDIR)/dtds/decls
	$(INSTALL) -m644 dtds/dbdsssl/*.dtd $(DESTDIR)/dtds/dbdsssl
	$(INSTALL) -m644 dtds/html/*.dtd $(DESTDIR)/dtds/html
	$(INSTALL) -m644 dtds/html/*.dcl $(DESTDIR)/dtds/html
	$(INSTALL) -m644 dtds/html/*.gml $(DESTDIR)/dtds/html
	$(INSTALL) -m644 dtds/html/catalog $(DESTDIR)/dtds/html
	$(INSTALL) -m644 dtds/imagelib/*.dtd $(DESTDIR)/dtds/imagelib
	$(INSTALL) -m644 dtds/olink/*.dtd $(DESTDIR)/dtds/olink

install-dsl:
	$(INSTALL) -d -m755 $(DESTDIR)/{lib,common,html,print,olink}
	$(INSTALL) -m644 lib/*.dsl $(DESTDIR)/lib
	$(INSTALL) -m644 common/catalog $(DESTDIR)/common
	$(INSTALL) -m644 common/*.dsl $(DESTDIR)/common
	$(INSTALL) -m644 common/*.ent $(DESTDIR)/common
	$(INSTALL) -m644 common/*.template $(DESTDIR)/common
	$(INSTALL) -m644 common/*.pl $(DESTDIR)/common
	$(INSTALL) -m644 html/*.dsl $(DESTDIR)/html
	$(INSTALL) -m644 html/catalog $(DESTDIR)/html
	$(INSTALL) -m644 print/*.dsl $(DESTDIR)/print
	$(INSTALL) -m644 print/catalog $(DESTDIR)/print
	$(INSTALL) -m644 olink/*.dsl $(DESTDIR)/olink

install-img:
	$(INSTALL) -d -m755 $(DESTDIR)/images/callouts
	$(INSTALL) -m644 images/*.eps $(DESTDIR)/images
	$(INSTALL) -m644 images/*.gif $(DESTDIR)/images
	$(INSTALL) -m644 images/*.pdf $(DESTDIR)/images
	$(INSTALL) -m644 images/callouts/*.eps $(DESTDIR)/images/callouts
	$(INSTALL) -m644 images/callouts/*.gif $(DESTDIR)/images/callouts
	$(INSTALL) -m644 images/callouts/*.pdf $(DESTDIR)/images/callouts

#install-test:
#	$(INSTALL) -d -m755 $(DESTDIR)/test/{cases,imagelib,xml}
#	$(INSTALL) -m644 test/*.* $(DESTDIR)/test
#	$(INSTALL) -m644 test/cases/*.* $(DESTDIR)/test/cases
#	$(INSTALL) -m644 test/imagelib/*.* $(DESTDIR)/test/imagelib
#	$(INSTALL) -m644 test/xml/*.* $(DESTDIR)/test/xml

install-misc:
	$(INSTALL) -d -m755 $(DESTDIR)
	$(INSTALL) -m644 catalog $(DESTDIR)
	$(INSTALL) -m644 VERSION $(DESTDIR)
