Name: docbook-style-dsssl
Version: 1.77
Release: alt2

Packager: Mikhail Zabaluev <mhz@altlinux.ru>

Summary: Norman Walsh's modular stylesheets for DocBook
#'
Group: Publishing
License: Distributable
Url: http://www.nwalsh.com/docbook/dsssl/

PreReq: openjade >= 1.3
PreReq: docbook-dtd-sgml
PreReq: sgml-common >= 0.5
Conflicts: sgml-tools <= 1.0.9-ipl21mdk
Provides: dssl-stylesheets = %version

BuildArch: noarch
#AutoProv: no
AutoReq: noshell, noperl

Source0: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%version.tar.bz2
Source1: %name-%version.Makefile

%define sgmlbase	%prefix/share/sgml
%define sgmlconfdir	%_sysconfdir/sgml

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.

%prep
%setup -q -n docbook-dsssl-%version
%__cp %SOURCE1 Makefile

%install
DESTDIR=$RPM_BUILD_ROOT%sgmlbase/docbook/dsssl-stylesheets-%version
%makeinstall \
    BINDIR=$RPM_BUILD_ROOT%_bindir \
    DESTDIR=$DESTDIR
%__cp -prf contrib $DESTDIR
%__ln_s -f dsssl-stylesheets-%version \
    $RPM_BUILD_ROOT%sgmlbase/docbook/dsssl-stylesheets

%post
CATALOGS=$(echo %sgmlconfdir/*ml-docbook-*.cat)
DSLCATALOGS=$(echo %sgmlbase/docbook/dsssl-stylesheets-?.??*/catalog)
if [ "$DSLCATALOGS" = \
     "%sgmlbase/docbook/dsssl-stylesheets-?.??*/catalog" ]
then
    DSLCATALOGS=
fi
[ "$CATALOGS" = "%sgmlconfdir/*ml-docbook-*.cat" ] ||
for catalog in $CATALOGS; do
    for dslcatalog in $DSLCATALOGS; do
	%_bindir/install-catalog --remove $catalog \
	    $dslcatalog >/dev/null 2>&1
    done
    %_bindir/install-catalog --add $catalog \
	%sgmlbase/docbook/dsssl-stylesheets-%version/catalog \
	>/dev/null 2>&1
done

%postun
# Do not remove if upgrade
if [ "$1" = "0" ]; then
    CATALOGS=$(echo %sgmlconfdir/*ml-docbook-*.cat)
    [ "$CATALOGS" = "%sgmlconfdir/*ml-docbook-*.cat" ] ||
    for catalog in $CATALOGS; do
	%_bindir/install-catalog --remove $catalog \
	    %sgmlbase/docbook/dsssl-stylesheets-%version/catalog \
	    >/dev/null 2>&1
    done
fi

%files
%doc BUGS TODO README ChangeLog WhatsNew
%doc frames
%_bindir/collateindex.pl
%sgmlbase/docbook/dsssl-stylesheets-%version
%sgmlbase/docbook/dsssl-stylesheets

%changelog
* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.77-alt2
- rebuild

* Thu Aug 01 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.77-alt1
- 1.77
- Moved contrib to be a legitimate part of the stylesheets

* Mon Mar 11 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.76-alt1
- 1.76
- An attempt at super robust install scripts
- Edited Makefile to fill gaps in files
- Added contrib and frames subdirectories to docs

* Fri Jan 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.74b-alt1
- New version, sync with RedHat 1.74b-2
- Corrected makefile
- Outsourced doc package since its source has independent versioning
- Disable shell and perl in AutoReq
- Spec cleanup

* Wed Jun 13 2001 AEN <aen@logic.ru> 1.64-alt3
- catalog name fixed (thnx to Aleksndr Blohin)

* Thu May 31 2001 AEN <aen@logic.ru> 1.64-alt2
- provides dssl-stylesheets

* Thu May 31 2001 AEN <aen@logic.ru> 1.64-alt1
- new version
- sync with MDK

* Wed Mar 21 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.62-ipl7mdk
- return right permissions to docs.

* Wed Mar 21 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.62-ipl6mdk
- don't redirect output of install-catalog to /dev/null
- indicate Conflicts with older sgml-tools

* Tue Mar 20 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.62-ipl5mdk
- install-time scripts: docbook-dtd31-sgml (and 41) triggered explicitly (specifying virtual
  docbook-dtd-sgml doesn't work)

* Tue Mar 20 2001 Ivan Zakharyaschev <vanyaz@mccme.ru> 1.62-ipl4mdk
- internal changes in the spec-file:
  + explicitly specify the redirection in the install time scripts;
  + a macro for the conf-dir
  + permissions fixed
  + %%dsssldir macro used in the spec
- install-time scripts:
  + %%postun moved to %%preun
  + %%post splitted into %%post and %%pre; %%post moved to %%triggerin
  + a macro for adding/removing the dsssl catalog
    to all centralized docbook catalogs

* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-4mdk
- Redirect install-catalog output to /dev/null

* Thu Feb 22 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-3mdk
- The last change was to add a link from %sgmlbase/docbook/dsssl-stylesheets
  to dsssl-stylesheets-%version

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-2mdk
- Add a

* Tue Jan 30 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-1mdk
- 1.62

* Mon Jan 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.61-1mdk
- 1.61

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-2mdk
- remove management of openjade catalogs (why the hell it was here???)

* Wed Jan 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-1mdk
- 1.60

* Mon Nov 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.59-1mdk
- 1.59
- improve upgrading scripts

* Wed Aug 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.57-1mdk
- 1.57

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-3mdk
- Prereq : sgml-common >= 0.2

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-2mdk
- install openjade's catalog, not jade's

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
